<div>
    <h2 id="page-heading">
        <span jhiTranslate="tfsBackendApp.detailOffer.home.title">Detail Offers</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-detail-offer" [routerLink]="['/detail-offer/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="tfsBackendApp.detailOffer.home.createLabel">
            Create a new Detail Offer
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="detailOffers?.length === 0">
        <span jhiTranslate="tfsBackendApp.detailOffer.home.notFound">No detailOffers found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="detailOffers && detailOffers.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.detailOffer.description">Description</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let detailOffer of detailOffers ;trackBy: trackId">
                    <td><a [routerLink]="['/detail-offer', detailOffer.id, 'view']">{{ detailOffer.id }}</a></td>
                    <td>{{ detailOffer.description }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/detail-offer', detailOffer.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/detail-offer', detailOffer.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(detailOffer)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
